using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATExportLocation")]
[Index("Name", Name = "UQ_ATExportLocation_Name", IsUnique = true)]
public partial class AtexportLocation
{
    [Key]
    public int Id { get; set; }

    [StringLength(100)]
    public string Name { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [ForeignKey("ExportLocationId")]
    [InverseProperty("ExportLocations")]
    public virtual ICollection<AtexportDefinition> ExportDefinitions { get; set; } = new List<AtexportDefinition>();
}
